package com.bjtdba.entity.userCenter;

import java.math.BigDecimal;
import java.sql.Timestamp;

public class UnionUsers {

    /**
     * 自增ID
     */
    private int id;
    /**
     * 用户ID
     */
    private int uid;
    /**
     * 微信、支付宝 唯一ID
     */
    private String unionid;
    /**
     * 昵称
     */
    private String nickname;
    /**
     * 用户头像
     */
    private String avatar;
    /**
     * 是否锁定 0否 1是
     */
    private int is_lock;
    /**
     * 锁定商铺ID
     */
    private int lock_mer_id;
    /**
     * 余额
     */
    private BigDecimal balance;
    /**
     * 赠送的余额
     */
    private BigDecimal give_money;
    /**
     * 养老金金额
     */
    private BigDecimal pension;
    /**
     * 账户类型微信1 支付宝2
     */
    private int type;
    private Timestamp lock_time;
    private Timestamp create_time;
    private Timestamp update_time;
    /**
     * 积分
     */
    private BigDecimal recharge;
    /**
     * 微信
     */
    private String openID;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getUid() {
        return uid;
    }

    public void setUid(int uid) {
        this.uid = uid;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public int getIs_lock() {
        return is_lock;
    }

    public void setIs_lock(int is_lock) {
        this.is_lock = is_lock;
    }

    public int getLock_mer_id() {
        return lock_mer_id;
    }

    public void setLock_mer_id(int lock_mer_id) {
        this.lock_mer_id = lock_mer_id;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public BigDecimal getGive_money() {
        return give_money;
    }

    public void setGive_money(BigDecimal give_money) {
        this.give_money = give_money;
    }

    public BigDecimal getPension() {
        return pension;
    }

    public void setPension(BigDecimal pension) {
        this.pension = pension;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Timestamp getLock_time() {
        return lock_time;
    }

    public void setLock_time(Timestamp lock_time) {
        this.lock_time = lock_time;
    }

    public Timestamp getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Timestamp create_time) {
        this.create_time = create_time;
    }

    public Timestamp getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Timestamp update_time) {
        this.update_time = update_time;
    }

    public BigDecimal getRecharge() {
        return recharge;
    }

    public void setRecharge(BigDecimal recharge) {
        this.recharge = recharge;
    }

    public String getOpenID() {
        return openID;
    }

    public void setOpenID(String openID) {
        this.openID = openID;
    }
}
